|  | Home |

# QMailMessageServiceConfigurator Class Reference

The QMailMessageServiceConfigurator class provides an interface that allows a service to be configured. More...

        #include <QMailMessageServiceConfigurator>

This class is under development and is subject to change.

- List of all members, including inherited members

## Public Functions

virtual QMailMessageServiceEditor * | createEditor ( QMailMessageServiceFactory::ServiceType type ) = 0
virtual QString | displayName () const = 0
virtual QString | service () const = 0
virtual QStringList | serviceConstraints ( QMailMessageServiceFactory::ServiceType type ) const

## Detailed Description

The QMailMessageServiceConfigurator class provides an interface that allows a service to be configured.

QMailMessageServiceConfigurator provides the interface that a messaging service must provide to allow its configuration to be editted by a generic GUI editor framework.

## Member Function Documentation

### QMailMessageServiceEditor * QMailMessageServiceConfigurator::createEditor ( QMailMessageServiceFactory::ServiceType type ) `[pure virtual]`

Creates an instance of the editor class for the service of type type.

### QString QMailMessageServiceConfigurator::displayName () const `[pure virtual]`

Returns the name of the service configured by this class, in a form suitable for display.

### QString QMailMessageServiceConfigurator::service () const `[pure virtual]`

Returns the identifier of the service configured by this class.

### QStringList QMailMessageServiceConfigurator::serviceConstraints ( QMailMessageServiceFactory::ServiceType type ) const `[virtual]`

Returns a list of services of the type type that are compatible with this service. If the service does not constrain the possible list of compatible services, an empty list should be returned.